---
name: Bug report
about: Create a report to help squash bugs

---

## Bug Report

**Current Behavior**
A clear and concise description of the behavior.

**Input Code and steps to reproduce**
- You can add a link to a hosted repo, or a JSfiddle, repl.it, etc here
- Or, you can paste your code in a formatted block like so:

```js
var your => (code) => here;
```

**Expected behavior/code**
A clear and concise description of what you expected to happen (or code).

**Babel Configuration (.babelrc, package.json, cli command)**

```js
{
  "your": { "config": "here" }
}
```

**Environment**
- Babel version(s): [e.g. v6.0.0, v7.0.0-beta.34]
- Node/npm version: [e.g. Node 8/npm 5]
- OS: [e.g. OSX 10.13.4, Windows 10]

**Possible Solution**
<!--- Only if you have suggestions on a fix for the bug -->

**Additional context/Screenshots**
Add any other context about the problem here. If applicable, add screenshots to help explain.
